UART_ADD_ONE_PORT(9)

NAME
uart_add_one_port - attach a driver-defined port structure

SYNOPSIS

int uart_add_one_port(struct uart_driver * drv, struct uart_port * uport);

ARGUMENTS

drv
    pointer to the uart low level driver structure for this port

uport
    uart port structure to use for this port.

DESCRIPTION

This allows the driver to register its own uart_port structure with the core driver. The main purpose is to allow the low level uart drivers to expand uart_port, rather than having yet more levels of structures.

COPYRIGHT